net.minecraft.client.renderer.texture

## Class TextureCompass

- java.lang.Object
- - net.minecraft.client.renderer.texture.TextureStitched
  - - net.minecraft.client.renderer.texture.TextureCompass

- All Implemented Interfaces:
    Icon

      public class TextureCompass
      extends TextureStitched

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double` | `angleDelta` Speed and direction of compass rotation
    `static TextureCompass` | `compassTexture`
    `double` | `currentAngle` Current compass heading in radians

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextureCompass()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `updateAnimation()`
    `void` | `updateCompass(World par1World, double par2, double par4, double par6, boolean par8, boolean par9)` Updates the compass based on the given x,z coords and camera direction

    - ### Methods inherited from class net.minecraft.client.renderer.texture.TextureStitched

      `copyFrom, createAndUploadTextures, getIconName, getInterpolatedU, getInterpolatedV, getMaxU, getMaxV, getMinU, getMinV, getOriginX, getOriginY, getSheetHeight, getSheetWidth, init, loadTexture, makeTextureStitched, readAnimationInfo`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### compassTexture

          public static TextureCompass compassTexture

    - #### currentAngle

          public double currentAngle

      Current compass heading in radians

    - #### angleDelta

          public double angleDelta

      Speed and direction of compass rotation

  - ### Constructor Detail

    - #### TextureCompass

          public TextureCompass()

  - ### Method Detail

    - #### updateAnimation

          public void updateAnimation()

      Overrides:
        `updateAnimation` in class `TextureStitched`

    - #### updateCompass

          public void updateCompass(World par1World,
                           double par2,
                           double par4,
                           double par6,
                           boolean par8,
                           boolean par9)

      Updates the compass based on the given x,z coords and camera direction